{
  "$schema": "https://docs.renovatebot.com/renovate-schema.json",
  "lockFileMaintenance": {
    "enabled": true,
    "automerge": true
  },
  "regexManagers": [
    {
      "fileMatch": [
        "^fickit-backend.yml$",
        "^fickit-boot.yml$",
        "^fickit-frontend.yml$",
        "^fickit-prepare.yml$",
        "^fickit-update.yml$"
      ],
      "matchStrings": [
        "init:(\n\s*-.*?)*\n\s*-(?<depName>.*?):(?<currentValue>.+)",
        "\\s*-\\s+(?<depName>\\w[a-zA-Z.\\/-]*?):(?<currentValue>[a-zA-Z0-9.-]*?)\\n",
        "image:\\s*(?<depName>\\S.*?):(?<currentValue>.+)"
      ],
      "datasourceTemplate": "docker",
      "versioningTemplate": "docker"
    }
  ],
  "packageRules": [
    {
      "matchPackageNames": [
        "github.com/burntsushi/toml",
        "github.com/studio-b12/gowebdav",
        "golang.org/x/crypto",
        "golang.org/x/image",
        "golang.org/x/oauth2"
      ],
      "automerge": true,
      "automergeType": "branch"
    }
  ]
}
